Bug 734064 - Unable to select dashboard, if we have similar dashboard name more than a time
Unable to select dashboard, if we have similar dashboard name more than a time
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.1
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: Ian Springer
Mike Foley
:
Depends On:
Blocks: rhq41-ui
  Show dependency treegraph
 
Reported: 2011-08-29 07:02 EDT by Jeeva Kandasamy
Modified: 2013-08-05 20:40 EDT (History)
4 users (show)

See Also:
Fixed In Version: 4.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 14:22:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
similar dashboard name more than a time (37.67 KB, image/jpeg)
2011-08-29 10:01 EDT, Jeeva Kandasamy
no flags Details

  None (edit)
Description Jeeva Kandasamy 2011-08-29 07:02:29 EDT
Description of problem:
Unable to select dashboard, if we have similar dashboard name more than a time!

Version-Release number of selected component (if applicable):
Version: 4.1.0-SNAPSHOT
Build Number: a98c893
GWT Version: 2.0.4
SmartGWT Version: 2.4

Browser: Firefox 3.6.18
OS: RHEL 6.1 X86_64

How reproducible:
100%

Steps to Reproduce:
1.Navigate to 'Dashboard'
2.Create new dashboard with the name 'abc'
3.Create another dashboard with similar name 'abc', save it and navigate to some other menu (Example: navigate to 'Inventory')
4.Come back to 'dashboard' and select the second 'abc' dashboard (created on Step3). 
  
Actual results:
selected the first 'abc'. Unable to select the second 'abc'

Expected results:
Should be select-able any dashboard or should block to create another dashboard instance with similar name.

Additional info: Screen shot is attached
Comment 1 Jeeva Kandasamy 2011-08-29 10:01:26 EDT
Created attachment 520405 [details]
similar dashboard name more than a time
Comment 2 Jay Shaughnessy 2011-10-24 13:36:20 EDT
workaround - you could delete the first one and get to the second.
Comment 3 Jay Shaughnessy 2011-10-24 13:37:30 EDT
better workaround - rename the first one.
Comment 4 Ian Springer 2011-10-24 14:06:22 EDT
The GUI no longer allows you to have more than one dashboard with the same name - [master b185db9].
Comment 5 Mike Foley 2011-10-26 11:05:16 EDT
hmmm...i am able to add multiple dashboards as follows:

abc
abc  
abcd

...so i am able to add multiple dashboards with the same name (i recognize this conflicts with comment #4) ... but ... i am able to select all dashboards without issue.  i am going to mark this verified as there are no issues that i see.
Comment 6 Mike Foley 2012-02-07 14:22:10 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.